Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | PROPERTY | CONSTR | METHOD | DETAIL: FIELD | PROPERTY | CONSTR | METHOD

## org.codehaus.groovy.grails.orm.hibernate.cfg
[Groovy] Class PropertyDefinitionDelegate

    java.lang.Object
      org.codehaus.groovy.grails.orm.hibernate.cfg.PropertyDefinitionDelegate

    class PropertyDefinitionDelegate

Builder delegate that handles multiple-column definitions for a single domain property, e.g.

       amount type: MonetaryAmountUserType, {
           column name: "value"
           column name: "currency_code", sqlType: "text"
       }

Property Summary
`PropertyConfig` | `config`

Constructor Summary
`PropertyDefinitionDelegate(PropertyConfig config)`

Method Summary
`java.lang.Object` | `column(java.util.Map args)`

Methods inherited from class java.lang.Object
java.lang.Object#wait(), java.lang.Object#wait(long), java.lang.Object#wait(long, int), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()

Property Detail

### config

    PropertyConfig config

Constructor Detail

### PropertyDefinitionDelegate

    PropertyDefinitionDelegate(PropertyConfig config)

Method Detail

### column

    java.lang.Object column(java.util.Map args)

Groovy Documentation